Get wallets attached to a signer group
curl --request GET \
--url https://api.platform.dakota.xyz/signer-groups/{signer_group_id}/wallets \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/signer-groups/{signer_group_id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/signer-groups/{signer_group_id}/wallets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/signer-groups/{signer_group_id}/wallets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"name": "Treasury Wallet",
"family": "evm"
}
]{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Bad request",
"status": 400,
"detail": "Bad request",
"instance": "https://api.platform.dakota.xyz/signer-groups/example-id/wallets",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/signer-groups/example-id/wallets",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Signer group not found",
"status": 404,
"detail": "Signer group not found",
"instance": "https://api.platform.dakota.xyz/signer-groups/example-id/wallets",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#internal-error",
"title": "Internal server error",
"status": 500,
"detail": "Internal server error",
"instance": "https://api.platform.dakota.xyz/signer-groups/example-id/wallets",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Signer Groups
Get wallets attached to a signer group
Returns slim references (id + name + family) for the wallets the given signer group is currently attached to.
GET
/
signer-groups
/
{signer_group_id}
/
wallets
Get wallets attached to a signer group
curl --request GET \
--url https://api.platform.dakota.xyz/signer-groups/{signer_group_id}/wallets \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/signer-groups/{signer_group_id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/signer-groups/{signer_group_id}/wallets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/signer-groups/{signer_group_id}/wallets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
"name": "Treasury Wallet",
"family": "evm"
}
]{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Bad request",
"status": 400,
"detail": "Bad request",
"instance": "https://api.platform.dakota.xyz/signer-groups/example-id/wallets",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/signer-groups/example-id/wallets",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Signer group not found",
"status": 404,
"detail": "Signer group not found",
"instance": "https://api.platform.dakota.xyz/signer-groups/example-id/wallets",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#internal-error",
"title": "Internal server error",
"status": 500,
"detail": "Internal server error",
"instance": "https://api.platform.dakota.xyz/signer-groups/example-id/wallets",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Authorizations
Path Parameters
Signer group ID KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
Required string length:
27Pattern:
^[0-9A-Za-z]{27}$Example:
"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Response
Attached wallets retrieved successfully
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
Required string length:
27Pattern:
^[0-9A-Za-z]{27}$Example:
"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Wallet name.
Example:
"Treasury Wallet"
Blockchain family for the crypto account.
Available options:
evm, solana Example:
"evm"
Was this page helpful?

